Notification for Reversal
Request
Request Body schema
"payment" or "cancel" or "capture" or "refund"
object
This object includes related information for an original transaction which has been successfully processed in EVO Cloud.
- Usage Instruction
1. This field is used in Notification for the API of Payment, Cancel, Capture, Refund and Reversal.
2. Returned when the original transaction exists.
eventCode
string<= 32 characters
Required
Enum: Reversal
Used to indicate the type of a Notification.
- Value defined
1. Reversal
- Usage Instruction
1. Filed Type: String(32)
metadata
string<= 512 characters
This field is used for merchant to state reference information
- Usage Instruction
1. If merchant sends this field in the request message, EVO Cloud will echo it back in the response
2. Field Type: String(512)
paymentMethod
object
Required
This field includes the Payment Method information, including Payment Method selected by User for Payment, and the Payment Method supported by the merchant.
- Usage Instruction
1. For GET PaymentMethod response, If merchant sends merchantTransID in GET PaymentMethod request, EVO Cloud will return this object.
2. EVO Cloud may include this object in response.
reversal
object
Required
This is the related information for the Reversal transaction processed
- Usage Instruction
1. This is used in response of POST Reversal.
storeInfo
object
Supplemental store information need to be provided by merchant.
- Usage definition
1. To indicate MCC for this merchant when the store is assigned multiple MCCs in EVO Cloud.
2. To indicate the store information for this merchant when settlement notification.
transInitiator
object
Information of terminal to initiate the transaction.
- Usage instruction
1. Used in the request of PaymentMethod, Payment.
POST
/reversal webhook in the requestTry it
Server
https://online-uat.everonet.com
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/reversal webhook in the request' \
-d '{
"\"payment\" or \"cancel\" or \"capture\" or \"refund\"": {
"billingAmount": {
"currency": "str",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "str",
"quoteCurrency": "str",
"value": "string"
},
"discount": {
"discountAmount": {
"currency": "string",
"value": "string"
},
"discountInfo": [
{
"discountType": "string",
"subDiscountAmount": {
"currency": "str",
"value": "string"
}
}
],
"payAmount": {
"currency": "string",
"value": "string"
}
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "2019-08-24T14:15:22.123Z",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantTransID": "string",
"merchantTransTime": "2019-08-24T14:15:22.123Z"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "2019-08-24T14:15:22.123Z"
},
"status": "string",
"transAmount": {
"currency": "str",
"value": "string"
}
},
"eventCode": "Reversal",
"metadata": "string",
"paymentMethod": {
"card": {
"first6No": "string",
"fundingType": "credit",
"hashCardNumber": "string",
"holderName": "string",
"isCommercial": true,
"issuerCountry": "str",
"issuingBank": "string",
"issuingCountry": "str",
"last4No": "stri",
"paymentBrand": "string",
"posEntryMode": "string",
"posEntryModeCode": "st"
}
},
"reversal": {
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "2019-08-24T14:15:22.123Z",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"status": "Verifying"
},
"storeInfo": {
"mcc": "stri",
"sid": "string",
"storeID": "string"
},
"transInitiator": {
"terminalID": "string"
}
}'JavaScript
fetch(
`https://online-uat.everonet.com/reversal webhook in the request`,
{
method: 'post',
body: '{
"\"payment\" or \"cancel\" or \"capture\" or \"refund\"": {
"billingAmount": {
"currency": "str",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "str",
"quoteCurrency": "str",
"value": "string"
},
"discount": {
"discountAmount": {
"currency": "string",
"value": "string"
},
"discountInfo": [
{
"discountType": "string",
"subDiscountAmount": {
"currency": "str",
"value": "string"
}
}
],
"payAmount": {
"currency": "string",
"value": "string"
}
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "2019-08-24T14:15:22.123Z",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantTransID": "string",
"merchantTransTime": "2019-08-24T14:15:22.123Z"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "2019-08-24T14:15:22.123Z"
},
"status": "string",
"transAmount": {
"currency": "str",
"value": "string"
}
},
"eventCode": "Reversal",
"metadata": "string",
"paymentMethod": {
"card": {
"first6No": "string",
"fundingType": "credit",
"hashCardNumber": "string",
"holderName": "string",
"isCommercial": true,
"issuerCountry": "str",
"issuingBank": "string",
"issuingCountry": "str",
"last4No": "stri",
"paymentBrand": "string",
"posEntryMode": "string",
"posEntryModeCode": "st"
}
},
"reversal": {
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "2019-08-24T14:15:22.123Z",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"status": "Verifying"
},
"storeInfo": {
"mcc": "stri",
"sid": "string",
"storeID": "string"
},
"transInitiator": {
"terminalID": "string"
}
}'
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/octet-stream
json

